
%define name	linuxdcpp
%define version	1.0.1
%define snapshot 0
%define rel	1
%define distsuffix plf

%if %snapshot
%define release	%mkrel 0.%snapshot.%rel
%else
%define release %mkrel %rel
%endif

# for menu
%define title	LinuxDC++
%define comment	Direct Connect client

Summary:	A DC++ port for Linux
Name:		%name
Version:	%version
Release:	%release
License:	GPL
Group:		Networking/File transfer
URL:		http://linuxdcpp.berlios.de/
%if %snapshot
Source:		%name-%snapshot.tar.bz2
%else
Source:		ftp://ftp.berlios.de/pub/linuxdcpp/linuxdcpp-%version.tar.bz2
%endif
BuildRoot:	%{_tmppath}/%{name}-root
Obsoletes:	linuxdc++ < 0-20070000
Provides:	linuxdc++ = %version
BuildRequires:	glib2-devel >= 2.4
BuildRequires:	gtk+2-devel >= 2.6
BuildRequires:	libglade2.0-devel >= 2.4
BuildRequires:	bzip2-devel
BuildRequires:	zlib-devel
BuildRequires:	openssl-devel
BuildRequires:	scons
BuildRequires:	ImageMagick

%description
LinuxDC++ is a project to port the DC++ Direct Connect client for
Linux.

This package is in PLF because it contains P2P software.

%prep
%if %snapshot
%setup -q -n %name
%else
%setup -q
%endif

%build
export CFLAGS="%{optflags}"
export CXXFLAGS="%{optflags}"
scons PREFIX="%{_prefix}"

%install
rm -rf %{buildroot}
scons PREFIX="%{_prefix}" FAKE_ROOT="%{buildroot}" release=1 install

rm -v %{buildroot}%{_datadir}/doc/linuxdcpp/*

install -d -m755 %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=%{title}
Comment=%{comment}
Exec=%{_bindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=GTK;Network;FileTransfer;P2P;
EOF

install -d -m755 %{buildroot}%{_miconsdir}
install -d -m755 %{buildroot}%{_iconsdir}
install -d -m755 %{buildroot}%{_liconsdir}

convert pixmaps/linuxdcpp.png -resize 16x16 %{buildroot}%{_miconsdir}/%{name}.png
convert pixmaps/linuxdcpp.png -resize 32x32 %{buildroot}%{_iconsdir}/%{name}.png
convert pixmaps/linuxdcpp.png -resize 48x48 %{buildroot}%{_liconsdir}/%{name}.png

%clean
rm -rf %{buildroot}

%post
%update_menus

%postun
%clean_menus

%files
%defattr(-,root,root)
%doc *.txt
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_datadir}/applications/mandriva-%{name}.desktop

%changelog
* Tue Feb 05 2008 Anssi Hannula <anssi@zarb.org> 1.0.1-1plf2008.1
- 1.0.1

* Thu Nov 01 2007 Anssi Hannula <anssi@zarb.org> 1.0.0-1plf2008.1
- 1.0.0

* Fri Mar 09 2007 Anssi Hannula <anssi@zarb.rog> 0-0.20070309.1plf2007.1
- new snapshot
- author streamlined naming, rename pkg to match

* Thu Oct 26 2006 Anssi Hannula <anssi@zarb.rog> 0-20061026.1plf2007.0
- new snapshot

* Thu Aug 31 2006 Anssi Hannula <anssi@zarb.rog> 0-20060831.1plf2007.0
- new snapshot

* Fri Aug 11 2006 Anssi Hannula <anssi@zarb.org> 0-20060811.1plf2007.0
- initial PLF release
